Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.pb.service
Class PropertyBrokerServiceException

    java.lang.Object
      WpsException
          com.ibm.wps.pb.service.PropertyBrokerServiceException

Direct Known Subclasses:
  IllegalStateException, InvalidPropertyException

Deprecated. since 6.0.1 Support of the IBM portlet API may be removed in a future release of WebSphere Portal. Use of the Java Portlet API (javax.portlet) is recommended instead.

    public class PropertyBrokerServiceException

extends WpsException

This is the root class for all checked exceptions thrown by the Property Broker. Thrown by several methods in `PropertyBrokerService`. Portlets must only catch, and not throw this exception.

Since:
  5.0
See Also:
  `PropertyBrokerService`

Constructor Summary
`PropertyBrokerServiceException(MessageCode code)` Deprecated.
`PropertyBrokerServiceException(MessageCode code, java.lang.Object[] args)` Deprecated.
`PropertyBrokerServiceException(MessageCode code, java.lang.Object[] args, java.lang.Throwable t)` Deprecated.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyBrokerServiceException

    public PropertyBrokerServiceException(MessageCode code)

  Deprecated.

### PropertyBrokerServiceException

    public PropertyBrokerServiceException(MessageCode code,
                                          java.lang.Object[] args)

  Deprecated.

### PropertyBrokerServiceException

    public PropertyBrokerServiceException(MessageCode code,
                                          java.lang.Object[] args,
                                          java.lang.Throwable t)

  Deprecated.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD